Bug 391206 - Does not prompt user to save or discard changes upon closing dialog
Summary: Does not prompt user to save or discard changes upon closing dialog
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Applications
Component: general (show other bugs)
Version: 17.12.2
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords: junior-jobs, usability
Depends on:
Blocks:
 
Reported: 2018-02-28 05:04 UTC by Zakhar
Modified: 2019-03-26 12:22 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 19.08.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zakhar 2018-02-28 05:04:59 UTC
Steps to reproduce:
-Open dolphin
-Goto configure dolphin
-change a few settingssetting
-close settings dialog

Result: app doesn't ask if you wanted to save or discard changes

What should have happened: app should have asked wether or not you wanted to save or discard changes.
Comment 1 Amish Naidu 2019-03-26 08:54:01 UTC
Git commit 017cd2322a0ae4c57476871f7715904a7810c9d3 by Amish Naidu.
Committed on 26/03/2019 at 08:53.
Pushed by anaidu into branch 'master'.

Prompt user to save/discard changes upon closing config dialog

Summary:
When the configuration dialog is closed with unsaved changes,
a message box is prompted to save/discard them or cancel the event.

Reviewers: #dolphin, elvisangelaccio

Reviewed By: #dolphin, elvisangelaccio

Subscribers: ngraham, elvisangelaccio, kfm-devel

Tags: #dolphin

Differential Revision: https://phabricator.kde.org/D19904

M  +34   -1    src/settings/dolphinsettingsdialog.cpp
M  +4    -0    src/settings/dolphinsettingsdialog.h

https://commits.kde.org/dolphin/017cd2322a0ae4c57476871f7715904a7810c9d3